## mingw-w64-qt6-mqtt-6.8.2-1.src.tar.zst

=== src/mqtt/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Mqtt Module:
#####################################################################

qt_internal_add_module(Mqtt
    SOURCES
        qmqttauthenticationproperties.cpp qmqttauthenticationproperties.h
        qmqttclient.cpp qmqttclient.h qmqttclient_p.h
        qmqttconnection.cpp qmqttconnection_p.h
        qmqttconnectionproperties.cpp qmqttconnectionproperties.h qmqttconnectionproperties_p.h
        qmqttcontrolpacket.cpp qmqttcontrolpacket_p.h
        qmqttglobal.h
        qmqttmessage.cpp qmqttmessage.h qmqttmessage_p.h
        qmqttpublishproperties.cpp qmqttpublishproperties.h qmqttpublishproperties_p.h
        qmqttsubscription.cpp qmqttsubscription.h qmqttsubscription_p.h
        qmqttsubscriptionproperties.cpp qmqttsubscriptionproperties.h
        qmqtttopicfilter.cpp qmqtttopicfilter.h
        qmqtttopicname.cpp qmqtttopicname.h
        qmqtttype.cpp qmqtttype.h
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)
qt_internal_add_docs(Mqtt
    doc/qtmqtt.qdocconf
)

=== tests/auto/qmqttlastwillproperties/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qmqttlastwillproperties Test:
#####################################################################

qt_internal_add_test(tst_qmqttlastwillproperties
    SOURCES
        ../../common/broker_connection.h
        tst_qmqttlastwillproperties.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
    INCLUDE_DIRECTORIES
        ../../common
    LIBRARIES
        Qt::MqttPrivate
        Qt::Mqtt
        Qt::Network
)

=== tests/auto/qmqtttopicfilter/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qmqtttopicfilter Test:
#####################################################################

qt_internal_add_test(tst_qmqtttopicfilter
    SOURCES
        tst_qmqtttopicfilter.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
    LIBRARIES
        Qt::MqttPrivate
        Qt::Mqtt
)

=== tests/auto/qmqtttopicname/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qmqtttopicname Test:
#####################################################################

qt_internal_add_test(tst_qmqtttopicname
    SOURCES
        tst_qmqtttopicname.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/"
    LIBRARIES
        Qt::MqttPrivate
        Qt::Mqtt
)

=== tests/manual/consolepubsub/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qtmqtt_pub_sub LANGUAGES CXX)

if (ANDROID)
    message(FATAL_ERROR "This project cannot be built on Android.")
endif()

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/mqtt/consolepubsub")

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    find_package(Qt6 REQUIRED COMPONENTS Mqtt)
end()

#
# Pub
#

qt_add_executable(qtmqtt_pub
    configuration.h
    main_pub.cpp
)

set_target_properties(qtmqtt_pub PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE FALSE
)

target_compile_definitions(qtmqtt_pub PUBLIC
    QT_DEPRECATED_WARNINGS
)

target_link_libraries(qtmqtt_pub PUBLIC
    Qt::Mqtt
)

install(TARGETS qtmqtt_pub
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

#
# Sub
#

qt_add_executable(qtmqtt_sub
    configuration.h
    main_sub.cpp
)

set_target_properties(qtmqtt_sub PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE FALSE
)

target_compile_definitions(qtmqtt_sub PUBLIC
    QT_DEPRECATED_WARNINGS
)

target_link_libraries(qtmqtt_sub PUBLIC
    Qt::Mqtt
)

install(TARGETS qtmqtt_sub
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/manual/sslconfiguration/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## sslconfiguration Binary:
#####################################################################

qt_add_manual_test(sslconfiguration
    SOURCES
        main.cpp
    DEFINES
        QT_DEPRECATED_WARNINGS
    LIBRARIES
        Qt::Mqtt
        Qt::Network
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-mqtt
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
pkgver=6.8.2
pkgrel=1
pkgdesc='Qt Module to implement MQTT protocol version 3.1 and 3.1.1 (mingw-w64)'
arch=(any)
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtmqtt.git"
msys2_references=(
  'archlinux: qt6-mqtt'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:GPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-base"
             "rsync")
_pkgfn="${_realname/6-/}-${pkgver}"
source=("https://github.com/qt/qtmqtt/archive/v${pkgver}/${_pkgfn}.tar.gz")
sha256sums=('a8c49b6996d7f0042b7721cd7f8ea06589e86c7a9c4c5d5a29176399402eacb5')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-mqtt() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 ${_pkgfn}/LICENSES/* -t "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-mqtt-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
